package dev.peerat.parser;

public class SyntaxMissMatchException extends Exception{
	
	private static final long serialVersionUID = -635419322226790786L;
	
	private TokenValidator validator;
	
	public SyntaxMissMatchException(TokenValidator validator){
		this.validator = validator;
	}

	@Override
	public String getMessage(){
		return "Only "+validator.getValidatedTokenCount()+" out "+validator.getTokenCount()+" of tokens parsed !";
	}
}
