package dev.peerat.parser.java;

import java.util.Collection;
import java.util.List;
import java.util.function.Function;
import java.util.function.Predicate;

import dev.peerat.parser.Token;
import dev.peerat.parser.java.visitor.JavaVisitor;
import dev.peerat.parser.visitor.Visitor;
import dev.peerat.parser.visitor.VisitorBag;

public class Import implements JavaElement{
	
	private boolean isStatic;
	private Token value;
	
	public Import(boolean isStatic, Token value){
		this.isStatic = isStatic;
		this.value = value;
	}
	
	public boolean isStatic(){
		return this.isStatic;
	}
	
	public Token getValue(){
		return this.value;
	}

	@Override
	public <E extends JavaElement> E find(Predicate<JavaElement> finder) {
		return null;
	}
	
	@Override
	public <E extends JavaElement> void findAll(Predicate<JavaElement> finder, Collection<E> collector) {
		
	}
	
	@Override
	public VisitorBag visit(Visitor<JavaElement> visitor) {
		if(visitor.canVisit(getClass())) return visitor.visit(this);
		return new VisitorBag();
	}

}
