package dev.peerat.parser.java.visitor.value;
import dev.peerat.parser.java.value.MethodCallValue;
import dev.peerat.parser.visitor.Visitor;
import dev.peerat.parser.visitor.VisitorBag;
import dev.peerat.parser.java.visitor.JavaVisitor;
import dev.peerat.parser.java.value.Value;
import dev.peerat.parser.Token;
import java.util.function.Predicate;
public class JavaMethodCallValueVisitor extends JavaVisitor<MethodCallValue>{
	public JavaMethodCallValueVisitor(boolean propagate){
		super(MethodCallValue.class, propagate);
	}
	
	@Override
	public VisitorBag visitElement( MethodCallValue element){
		 VisitorBag bag = new VisitorBag();
		bag.compute(element);
		return bag;
	}
}
