package dev.peerat.parser.java;

import java.util.Collection;
import java.util.function.Predicate;

import dev.peerat.parser.visitor.Visitor;
import dev.peerat.parser.visitor.VisitorBag;

public interface JavaElement{
	
	<E extends JavaElement> E find(Predicate<JavaElement> finder);
	
	<E extends JavaElement> void findAll(Predicate<JavaElement> finder, Collection<E> collector);

	VisitorBag visit(Visitor<JavaElement> visitor);
}